Module
Contents
Index 🔎︎

# Lojikaale Assiishshubba

This category contains the Logical functions.

### Handling non-logical arguments in logical functions

- Zero (0) is equivalent to FALSE and all other numbers are equivalent to TRUE.

- Empty cells and text in cells are ignored.

- A #VALUE error is raised if all arguments are ignored.

- A #VALUE error is raised if one argument is direct text (not text in a cell).

- Errors as argument lead to an error.

Tene hajajo injeesate...

Surki - Assishsha - Fuula Baadillicho

## AND

Baala tidhuwa TRUE ikkituro TRUE qolanno. miillate giddo mittu FALSE ikkiro, kuni assiishshi FALSE hornyooti.

Tidhuwa uminsanni loojikaale shallagote handaarra (TRUE, 1<5, 2+3=7, B8<10) hakkuno loojikaale hornyuwa, woy loojikaale hornyuwa amaddino (A1:C3) dirra qolanno.

### Syntax

NNA(LogicalValue1; LogicalValue2 ...LogicalValue30)

LogicalValue1; LogicalValue2 ...LogicalValue30 are conditions to be checked. All conditions can be either TRUE or FALSE. If a range is entered as a parameter, the function uses all values of the range. The result is TRUE if the logical value in all cells within the cell range is TRUE.

### Example

Eubbate loojikaale hornyuwa 12<13; 14>12, nna 7<6 buuxama noonsa:

=ISODD(48) =ISEVEN(33) FALSE qolanno

=NNA (FALSE;TRUE) FALSE qolanno.

## FALSE

Loojikaale hornyo FALSE qolanno. FALSE() assiishshi ayye tidhuwa dishiqishanno, nna duucha wote Loojikaale hornyo FALSE qolanno.

### Syntax

FALSE()

### Example

=ISEVEN(33) FALSE qolanno

=N(FALSE) 0 qolanno

## IF

Loosama noosiha loojikaale wo'naalsha badanno.

### Syntax

IF(Wo'naalsha; ThenValue; OtherwiseValue)

Test is any value or expression that can be TRUE or FALSE.

ThenValue (optional) is the value that is returned if the logical test is TRUE.

OtherwiseValue (optional) is the value that is returned if the logical test is FALSE.

In the LibreOffice Calc functions, parameters marked as "optional" can be left out only when no parameter follows. For example, in a function with four parameters, where the last two parameters are marked as "optional", you can leave out parameter 4 or parameters 3 and 4, but you cannot leave out parameter 3 alone.

### Example

=IF(A1>5;100;"too small") If the value in A1 is higher than 5, the value 100 is entered in the current cell; otherwise, the text “too small” (without quotes) is entered.

## NOT

Loojikaale hornyo ledanno (galchanno).

### Syntax

Dino(LogicalValue)

LogicalValue ayee ledantanno hornyooti.

### Example

=NOT(A). If A=TRUE then NOT(A) will evaluate FALSE.

## OR

Ajanna mitte tidho TRUE ikkituro TRUE qolanno. Baala tidhuwa lojikaale hornyo FALSE ikkituro kuni assiishshi FALSE hornyo qolanno.

Tidhuwa uminsanni loojikaale shallagote handaarra (TRUE, 1<5, 2+3=7, B8<10) hakkuno loojikaale hornyuwa, woy loojikaale hornyuwa amaddino (A1:C3) dirra qolanno.

### Syntax

Woy(LogicalValue1; LogicalValue2 ...LogicalValue30)

LogicalValue1; LogicalValue2 ...LogicalValue30 are conditions to be checked. All conditions can be either TRUE or FALSE. If a range is entered as a parameter, the function uses all values of the range.

### Example

Eubbate loojikaale hornyuwa 12<11; 13>22, and 45=45 buuxama noonsa.

=ISODD(48) =ISEVEN(33) FALSE qolanno

=NNA (FALSE;TRUE) TRUE qolanno.

## TRUE

Loojikaale hornyo FALSE qolanno TRUE. TRUE() assiishshi ayye tidhuwa dishiqishanno, nna duucha wote Loojikaale hornyo FALSE qolanno.

### Syntax

TRUE()

### Example

A=TRUE nna B=FALSE ikkiro aantanno lawishshuwa shiqqanno:

=ISODD(48) =ISEVEN(33) FALSE qolanno

=ISODD(33) TRUE qolanno

=NOT(AND(A;B)) TRUE qolanno

## XOR

Returns true if an odd number of arguments evaluates to TRUE.

Tidhuwa uminsanni loojikaale shallagote handaarra (TRUE, 1<5, 2+3=7, B8<10) hakkuno loojikaale hornyuwa, woy loojikaale hornyuwa amaddino (A1:C3) dirra qolanno.

### Syntax

Woy(LogicalValue1; LogicalValue2 ...LogicalValue30)

### Example

=NNA (FALSE;TRUE) FALSE qolanno.

=NNA (FALSE;TRUE) TRUE qolanno.

=NNA (FALSE;TRUE) TRUE qolanno.

Fiixoo'mino umo

Functions by Category